---
title: MediaPositionState
slug: Web/API/MediaPositionState
tags:
  - API
  - Audio
  - Dictionary
  - Media
  - Media Session API
  - MediaPositionState
  - MediaSession API
  - Playback
  - Position
  - Reference
  - Video
  - direction
  - rate
  - speed
---
<p>{{APIRef("Media Session API")}}</p>

<p><span class="seoSummary">The Media Session API's <code><strong>MediaPositionState</strong></code> dictionary is used to represent the current playback position of a media session.</span> Its contents can be used by the {{Glossary("user agent")}} to provide a user interface displaying information about the playback position and duration of the media currently being performed.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("MediaPositionState.duration", "duration")}}</dt>
 <dd>A floating-point value giving the total duration of the current media in seconds. This should always be a positive number, with positive infinity (<code><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Infinity">Infinity</a></code>) indicating media without a defined end, such as a live stream.</dd>
 <dt>{{domxref("MediaPositionState.playbackRate", "playbackRate")}}</dt>
 <dd>A floating-point value indicating the rate at which the media is being played, as a ratio relative to its normal playback speed. Thus, a value of 1 is playing at normal speed, 2 is playing at double speed, and so forth. Negative values indicate that the media is playing in reverse; -1 indicates playback at the normal speed but backward, -2 is double speed in reverse, and so on.</dd>
 <dt>{{domxref("MediaPositionState.position", "position")}}</dt>
 <dd>A floating-point value indicating the last reported playback position of the media in seconds. This must always be a positive value.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Media Session','#dictdef-mediapositionstate','MediaPositionState')}}</td>
   <td>{{Spec2('Media Session')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.MediaPositionState")}}</p>
